OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

> Angstrom And Dm9601 Module
protechk
post Jan 13 2008, 12:30 PM
Post #1





Group: Members
Posts: 9
Joined: 7-November 07
Member No.: 20,910



I would like to know if someone have an ipk with dm9601 module for Angstrom. Or if someone have a howto which explain how to compile a module.
I use an USB/Ethernet dongle with this chipset.

Thnks
Go to the top of the page
 
+Quote Post
 
Start new topic
Replies
Capn_Fish
post Dec 19 2008, 11:43 AM
Post #2





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



If you're using Ubuntu 8.10, the normal GCC doesn't really work. I had to use GCC 4.2 and co to get the environment to build OK.

EDIT: Oh, and Qemu (which is apparently necessary) doesn't really build with GCC 4.x, so I just installed the binary version from the Qemu website (you DO need to do a "touch /path/to/qemu.d_compile or whatever the stamp file is).
Go to the top of the page
 
+Quote Post
ant
post Dec 19 2008, 01:55 PM
Post #3





Group: Members
Posts: 163
Joined: 11-March 04
From: IT
Member No.: 2,270



In openembedded the default is to create glibc binary locales.
These can be created on the target (but 128mb are usually required...) or at buildtime using qemu.
But quemu does not build yet with gcc4...so to ease the things a bit, gcc-3.4x-native is built, just to successfully compile qemu.
This way, you don't need to install gcc3 on your buildhost! Presto!

Regards

Ant


P.S.
If it still fails, move to openembedded .dev branch
Go to the top of the page
 
+Quote Post

Posts in this topic
protechk   Angstrom And Dm9601 Module   Jan 13 2008, 12:30 PM
Capn_Fish   Do you have a build environment set up? If so, you...   Jan 13 2008, 02:27 PM
adf   QUOTE(Capn_Fish @ Jan 13 2008, 01:27 PM) ...   Jan 13 2008, 10:39 PM
Capn_Fish   Nope, but the package search tool says it's on...   Jan 14 2008, 04:38 AM
zdroyer   QUOTE(Capn_Fish @ Jan 14 2008, 01:38 PM) ...   Jan 15 2008, 05:45 AM
protechk   I am interesting but what kernel do you use to com...   Jan 14 2008, 08:58 AM
Capn_Fish   2.6.23, the default one that comes with Angstrom.   Jan 14 2008, 11:22 AM
Capn_Fish   No problem. Here you go.   Jan 15 2008, 11:19 AM
zdroyer   Thanx a lot Capn_Fish! However the ipk cannot ...   Jan 16 2008, 07:28 AM
Capn_Fish   Unfortunately, my dongle doesn't work, but gla...   Jan 16 2008, 11:19 AM
Hacdan   Not to bring up an old topic, but I need hostap.ko...   Dec 13 2008, 08:57 PM
Capn_Fish   You need to edit the build files with the options ...   Dec 14 2008, 08:11 AM
Hacdan   Unfortunately, I just reflashed from r198. I have ...   Dec 14 2008, 02:16 PM
Capn_Fish   QUOTE(Hacdan @ Dec 14 2008, 04:16 PM) Unf...   Dec 14 2008, 06:38 PM
Hacdan   QUOTE(Capn_Fish @ Dec 14 2008, 09:38 PM) ...   Dec 14 2008, 06:57 PM
Capn_Fish   I think it's patched for packet injection by d...   Dec 15 2008, 02:24 PM
Hacdan   Just a quick question, I have everything setup and...   Dec 17 2008, 07:20 PM
Capn_Fish   In my experience "gcc cannot create executabl...   Dec 18 2008, 04:42 AM
Hacdan   QUOTE(Capn_Fish @ Dec 18 2008, 07:42 AM) ...   Dec 18 2008, 06:39 PM
ant   >dave@Ubuntu-VM:~/oe/org.openembedded.stable/pa...   Dec 19 2008, 05:57 AM
Capn_Fish   If you're using Ubuntu 8.10, the normal GCC do...   Dec 19 2008, 11:43 AM
ant   In openembedded the default is to create glibc bin...   Dec 19 2008, 01:55 PM
Hacdan   I am very open to any other operating system sugge...   Dec 20 2008, 03:32 PM
Hacdan   I really hate to break down and ask, but out of fr...   Feb 8 2009, 08:08 PM
Capn_Fish   QUOTE(Hacdan @ Feb 8 2009, 10:08 PM) I re...   Feb 9 2009, 03:03 PM
Hacdan   Thank you so much. I would really like to know whe...   Feb 9 2009, 03:46 PM


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 26th November 2014 - 04:07 PM